### Function

# FwupdPlugin memory_input_stream_new_from_bytes

since: 2.1.7

#### Declaration [src]

    FuInputStream*
    fu_memory_input_stream_new_from_bytes (
      GBytes* bytes
    )

#### Description [src]

Creates a new memory-backed input stream from `bytes`.

Available since: 2.1.7

#### Parameters

`bytes`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuInputStream`

A `FuInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.